@import "_variables";
@import "_nav_mobile";
@import "_nav_desktop";
@import "_loader";

body {
    width: 100vw;
    height: 100%;
    min-height: 100vh;
    overflow-x: hidden;
    background: $blue-gradient;
    font-family: Roboto, sans-serif;
}

.no-padding {
    padding-left: 0 !important;
    padding-right: 0 !important;
}

.grabbable {
    cursor: move;
    cursor: grab;
}

header {
    height: 80px;
    margin-bottom: 25px;

    #header-bg {
        width: 100vw;
        height: 80px;
        position: absolute;
        top: 0;
        left: 0;
        background: white;
        box-shadow: 0 1px 5px 1px #5050506e;
        z-index: 200;
    }

    #hamburger-menu {
        position: relative;
        left: 20px;
        top: 14px;
        z-index: 999;
        width: 48px;
        height: 48px;
        cursor: pointer;
        float: right;
        transition: all 300ms ease-out;

        > div {
            height: 4px;
            margin: 10px auto;
            border-radius: 3px;
            background: #34aade;
            transition: all 300ms ease-out;
        }

        &.menu-open > div {

            &#one {
                transform: translateY(14px) rotate(45deg);
            }

            &#two {
                opacity: 0;
            }

            &#three {
                transform: translateY(-14px) rotate(135deg);
            }
        }

        &.menu-open.mobile {
            position: absolute;

            & > div {
                background: white;
            }
        }
    }

    h1 {
        margin: 23px auto 0;
        font-size: 32px;
        font-weight: bold;
        text-align: center;
        color: $blue-dark;
        z-index: 250;

        a,
        a:hover,
        a:visited,
        a:active {
            text-decoration: none;
            color: inherit;
        }
    }

    .user-image {
        width: 52px;
        height: 52px;
        position: relative;
        top: 14px;
        right: 20px;
        z-index: 250;
    }
}

.image-round {
    width: 100px;
    height: 100px;
    border: 1px solid $primary-blue;
    border-radius: 50%; 

    img {
        width: 100%;
        height: 100%;
        border-radius: 50%;
        object-fit: cover;
    }
}

.icon-label {
    display: flex;

    i {
        font-size: 16px;
        color: $primary-blue;
    }

    span {
        display: block;
        margin-top: -2px;
        font-size: 16px;
    }
}

.card {
    background: white;
    border-radius: 7px;
    margin: 20px 0;
    color: $text-gray;
    box-shadow: $card-shadow;
    max-width: 500px;
    margin-left: auto;
    margin-right: auto;

    > a {
        padding: 20px;
        color: inherit;

        &:hover {
            text-decoration: none;
        }
    }

    .card-heading {

        h2 {
            font-weight: 300;
            font-size: 20px;
            text-align: center;
            color: $text-gray;
            margin: 0;
        }

        hr {
            margin-top: 10px;
            border-color: #34c6de;
        }
    }

    &.clickable {
        transition: all 300ms;

        &:hover {
            transform: scale(1.02);
            transition: all 300ms;
        }
    }
}

#create-new,
.card.gathering {

    > a {
        padding: 30px;

        @media (max-width: 375px) {
            padding: 20px;
        }
    }
}

#create-new {

    .contents {
        display: flex;

        i {
            font-size: 80px;
            color: $primary-blue;
            
            @media (max-width: 375px) {
                font-size: 60px;
            }
        }

        > div {
            margin: auto 0 auto 30px;
            font-size: 30px;
            font-weight: 300;

            @media (max-width: 375px) {
                font-size: 23px;
                margin: auto 0 auto 10px;
            }
        }
    }
}

.card.gathering {

    .main-info {
        display: flex;

        .info {
            margin: auto 0 auto 10px;

            h2 {
                font-weight: 300;

                @media (max-width: 450px) {
                    font-size: 28px;
                }
            }

            .icon-label {

                i {
                    font-size: 18px;
                }

                span {
                    font-size: 18px;
                    color: $text-gray;
                    margin-top: -4px;
                    margin-left: 6px;
                }
            }
        }
    }

    .detail-info {
        margin: 20px 0 0;
        padding: 0 10px;
        line-height: 1.5;
        text-align: justify;
    }
}

#persons-card {
    margin-top: 10px;
    padding: 20px;
    max-width: none;

    .contacts {
        display: flex;
        flex-wrap: wrap;

        .contact {
            margin: 10px 0px;
            width: 133.5px;

            .image-round {
                width: 80px;
                height: 80px;
                margin: 0 auto;
                border-width: 2px;
            }

            .name {
                font-weight: 300;
                font-size: 15px;
                text-align: center;
                display: block;
                margin-top: 5px;
                color: inherit;
                
                &:hover {
                    color: inherit;
                    text-decoration: none;
                }
            }

            @media (max-width: 1200px) {
                width: 125.5px;
                max-width: 16.6%;
            }

            @media (max-width: 768px) {
                max-width: 25%;
            }

            @media (max-width: 450px) {
                max-width: 33%;
            }

            @media (max-width: 375px) {
                max-width: 50%;
            }
        }
    }
}

.hide-xs {
    @media(max-width: 375px) {
        display: none;
    }
}

.user-gatherings .gathering {
    animation: land 700ms cubic-bezier(0.25, 0.46, 0.45, 0.94) 1;
}

@keyframes land {
    0%   { opacity: 0; transform: scale(1.0) translateY(-30px) }
    100% { opacity: 1; transform: scale(1.0) translateY(0px) }
}

#loading-indicator {
    padding: 30px;

    @media (max-width: 375px) {
        padding: 20px;
    }

    .contents {
        display: flex;
    
        .text {
            margin: auto 0 auto 30px;
            font-size: 30px;
            font-weight: 300;
        }
    }
}

a.btn {
    width: 100%;
    max-width: 332px;
    margin: 10px 0;
    padding: 10px 60px;
    border: 2px solid transparent;
    border-radius: 5px;
    box-sizing: border-box;
    transition: all 300ms;
    font-size: 20px;

    &.white {
        background: white;
        color: $primary-blue;
    }

    &.transparent-white {
        background: transparent;
        color: white;
        border-color: white;
    }

    &.blue {
        background: linear-gradient(to bottom, #34a8de 0%, #34c8de 100%);
        color: white;
        padding: 12px 62px;
        border-color: white;
    }

    &.transparent-blue {
        background: transparent;
        color: $primary-blue;
        border-color: $primary-blue;
    }

    &:hover {
        transform: scale(1.03);
        transition: all 300ms;
    }

    &:active,
    &:focus {
        box-shadow: none;
    }
}

.modal-dialog {
    border-radius: 7px;
    color: #5c5c5c;
    background: white;
    padding: 20px;

    .modal-content {
        border: none;

        .modal-footer {
            @media (max-width: 500px) {
                flex-wrap: wrap;
            }
        }
    }
}

.error-msg {
    color: red;
    font-style: italic;
}